#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1
%define khangmanengine_major 4
%define khangmanengine_library %mklibname khangmanengine %{khangmanengine_major}

Name: khangman
Summary: Classical hangman game
Version: 16.12.3
Release: %mkrel %{rel}
Group: Education
License: GPLv2
URL: http://edu.kde.org/khangman
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz


BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5QuickWidgets)
BuildRequires: pkgconfig(Qt5Svg)

BuildRequires: kf5-macros
BuildRequires: ki18n-devel
BuildRequires: kcrash-devel
BuildRequires: kcompletion-devel
BuildRequires: kconfig-devel
BuildRequires: kcoreaddons-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kdeclarative-devel
BuildRequires: kdoctools-devel
BuildRequires: knewstuff-devel
BuildRequires: knotifications-devel
BuildRequires: kxmlgui-devel
BuildRequires: kio-devel

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl

BuildRequires: libkeduvocdocument-devel

Requires:      kdeedu-data

Recommends: %{name}-handbook

#Branch patches 100->200

#Trunk Patches 200->300

#Mageia Patches 500->600

%description
KHangman is the classical hangman game. The child should guess a word
letter by letter. At each miss, the picture of a hangman appears. After
10 tries, if the word is not guessed, the game is over and the answer
is displayed.

%files
%_kf5_bindir/khangman
%_kf5_datadir/khangman
%_kf5_iconsdir/*/*/apps/khangman.*
%_kf5_datadir/applications/*.desktop
%_sysconfdir/xdg/khangman.knsrc
%_kf5_datadir/appdata/*.xml
%_kf5_datadir/config.kcfg/khangman.kcfg

#------------------------------------------------------------------------------

%package handbook
Summary: Khangman handbook
Conflicts: khangman < 4.7.1
BuildArch: noarch
Group: Documentation

%description handbook
This package provides khangman handbook and mandir.

%files handbook
%doc COPYING COPYING.DOC README
%doc %_kf5_docdir/HTML/en/khangman
%_kf5_mandir/man6/khangman.6.*

#------------------------------------------------------------------------------


%prep
%setup -q
%autopatch -p1

%build
export LD=/usr/bin/ld.gold
%cmake_kf5 -DKDE4_ENABLE_FINAL=ON
%make

%install
%makeinstall_std -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090066
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076802
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072010
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067330
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061388
- New version 16.08.2

* Tue Sep 13 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1051945
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047295
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040056
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012542
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004332
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 994889
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991180
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987449
- New version 15.12.2

* Mon Jan 18 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 925207
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911935
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905393
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901129
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890609
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880422
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865940
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863706
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861753
- New version 15.07.90

* Thu Jul 30 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859237
- New version 15.07.80

* Fri Jul 24 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 856671
- New version 15.04.3

* Wed Dec 03 2014 lmenut <lmenut> 4.14.3-1.mga5
+ Revision: 800602
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 4.14.2-1.mga5
+ Revision: 787688
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 4.14.1-2.mga5
+ Revision: 746452
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 4.14.1-1.mga5
+ Revision: 734550
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 4.14.0-2.mga5
+ Revision: 681066
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 4.14.0-1.mga5
+ Revision: 667487
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 4.13.97-1.mga5
+ Revision: 662999
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 4.13.95-1.mga5
+ Revision: 656677
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 4.13.90-1.mga5
+ Revision: 653863
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 4.13.80-1.mga5
+ Revision: 652093
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 4.13.2-1.mga5
+ Revision: 636737
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 4.13.1-1.mga5
+ Revision: 625504
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 4.13.0-1.mga5
+ Revision: 615581
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 4.12.97-1.mga5
+ Revision: 609397
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 4.12.95-1.mga5
+ Revision: 606838
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 4.12.90-1.mga5
+ Revision: 603345
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 4.12.80-1.mga5
+ Revision: 600680
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 4.12.2-1.mga5
+ Revision: 590466
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 4.11.5-1.mga5
+ Revision: 580729
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 4.11.4-1.mga4
+ Revision: 554997
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 4.11.3-1.mga4
+ Revision: 551265
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 4.11.2-2.mga4
+ Revision: 540014
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 4.11.2-1.mga4
+ Revision: 490717
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 4.11.1-1.mga4
+ Revision: 476811
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 4.11.0-1.mga4
+ Revision: 465162
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 4.10.97-1.mga4
+ Revision: 458912
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 4.10.95-1.mga4
+ Revision: 455301
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 4.10.90-1.mga4
+ Revision: 447920
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 4.10.4-1.mga4
+ Revision: 435277
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 4.10.3-1.mga4
+ Revision: 428388
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407205
- Update tarball to KDE SC 4.10.2
- Drop patch500
- Libification of the library engine

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401884
- Update tarball to KDE SC 4.10.1

* Sun Mar 03 2013 fwang <fwang> 4.10.0-4.mga3
+ Revision: 401239
- devel disappears now
- disable build engine, as it is only used by harmattan, not by desktop now

* Sun Mar 03 2013 fwang <fwang> 4.10.0-3.mga3
+ Revision: 401231
- drop invalid req

* Sun Mar 03 2013 fwang <fwang> 4.10.0-2.mga3
+ Revision: 401230
- split khangman lib

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394377
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 356166
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339440
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334532
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326737
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320293
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316177
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301948
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289746
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277112
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269684
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 265967
- New version - 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257233
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228444
- new version 4.8.2

* Thu Mar 29 2012 lmenut <lmenut> 4.8.1-2.mga2
+ Revision: 227488
- add missing suggests

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221482
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198240
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-0.mga2
+ Revision: 191039
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186058
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182115
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176444
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161343
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151960
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 4.7.1-0.mga2
+ Revision: 140651
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- fix license

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122436
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 4.6.90-2.mga2
+ Revision: 115881
- Use %%version & not %%version-%%release for requires on libkdeedu

* Wed Jun 29 2011 mikala <mikala> 4.6.90-1.mga2
+ Revision: 115735
- imported package khangman

